%global modname httpbin

%global desc Testing an HTTP Library can become difficult sometimes. RequestBin is \
fantastic for testing POST requests, but doesn't let you control the response. \
This exists to cover all kinds of HTTP scenarios. Additional endpoints are \
being considered. All endpoint responses are JSON-encoded.

%global t_requires python3-blinker python3-brotli python3-flask python3-markupsafe python3-decorator python3-itsdangerous python3-raven python3-six python3-werkzeug

Name:           python-%{modname}
Version:        0.7.0
Release:        4%{?dist}
Summary:        HTTP Request & Response Service, written in Python + Flask

License:        MIT
URL:            https://github.com/Runscope/httpbin
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz
Patch1:         0001-Use-Google-s-brotli-module-not-the-brotlipy-one.patch

Patch2:         0002-Drop-content-length-0-asserts.patch
Patch3:         0001-Fix-disabling-of-location-header-autocorrect-for-wer.patch
Patch5000:      5000-Modify-to-fit-werkzeug-2.3.8.patch
BuildArch:      noarch


%description
%{desc}

%package -n python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  %{t_requires}
Requires:       %{t_requires}

%description -n python3-%{modname}
%{desc}

This package provides the Python 3 implementation.

%prep
%setup -q -n %{modname}-%{version}
%patch 1 -p1
%patch 2 -p1
%patch 3 -p1
%patch 5000 -p1

chmod ugo-x httpbin/templates/forms-post.html

sed -i -e 's,werkzeug>=0.14.1,werkzeug,g' setup.py
sed -i "s/\[flask\]//" setup.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} test_httpbin.py

%files -n python3-%{modname}
%{python3_sitelib}/%{modname}*
%license LICENSE
%doc README.md AUTHORS

%changelog
* Fri Oct 11 2024 bbrucezhang <bbrucezhang@tencent.com> - 0.7.0-4
- [Type] other
- [DESC] Does not depend on subpackage python3-raven+flask

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.0-3
- Rebuilt for loongarch release

* Tue Aug 13 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.0-2
- [Type]: other
- [DESC]: Modify to fit werkzeug 2.3.8

* Wed Jun 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.0-1
- initial build
